| Home | Libraries | People | FAQ | More

##### operator=(rtree &&)

The moving assignment.

###### Description

It uses parameters and translator from the source tree.

###### Synopsis

    rtree & operator=(rtree && src)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree``&&` | `src` | The rtree which content will be moved.

###### Throws

Only if allocators aren't equal.

- If Value copy constructor throws.
- If allocation throws or returns invalid value.